## square square |

## Synopsis

    struct              GstSquare;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstGeometricTransform
                                           +----GstSquare

## Properties

      "height"                   gdouble               : Read / Write
      "width"                    gdouble               : Read / Write
      "zoom"                     gdouble               : Read / Write

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstSquare

    struct GstSquare;

## Property Details

### The `"height"` property

      "height"                   gdouble               : Read / Write

Height of the square, relative to the frame height.

Allowed values: [0,1]

Default value: 0.5

### The `"width"` property

      "width"                    gdouble               : Read / Write

Width of the square, relative to the frame width.

Allowed values: [0,1]

Default value: 0.5

### The `"zoom"` property

      "zoom"                     gdouble               : Read / Write

Zoom amount in the center region.

Allowed values: [1,100]

Default value: 2